Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPA.cpp File Reference

`#include "GIOPC.h"`
`#include "GIOPA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for GIOPA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, const GIOP::Version &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::Version *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::Version *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::Version *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const GIOP::IORAddressingInfo &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::IORAddressingInfo *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::IORAddressingInfo *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::IORAddressingInfo *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const GIOP::TargetAddress &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::TargetAddress *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::TargetAddress *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::TargetAddress *&_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::IORAddressingInfo & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::Version * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::Version & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::IORAddressingInfo *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::Version *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::Version *& | _tao_elem
| ) |